Deployments.ai Docs
Agent Email

List email domains

GET /v1/agent-email/domains · SDK listAgentEmailDomains · CLI deployments inbox-domain list

GET
/v1/agent-email/domains

Requires agent-email:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

AgentEmailDomainPageResponse

application/json
  1. response
items*array<>
nextCursor?|null
curl -X GET "https://example.com/v1/agent-email/domains" \  -H "x-deployments-environment: string"
{  "items": [    {      "createdAt": "2019-08-24T14:15:22Z",      "dnsRecords": [        {          "name": "string",          "priority": 0,          "type": "CNAME",          "value": "string"        }      ],      "domain": "string",      "failureReason": "string",      "id": "string",      "lastCheckedAt": "2019-08-24T14:15:22Z",      "mailFromDomain": "string",      "organizationId": "string",      "placementId": "string",      "providerIdentity": "string",      "providerManaged": true,      "providerMetadata": {        "property1": null,        "property2": null      },      "status": "failed",      "updatedAt": "2019-08-24T14:15:22Z",      "verifiedAt": "2019-08-24T14:15:22Z"    }  ],  "nextCursor": "string"}